package com.extensiblejava.core.employee.selectable;

import java.util.*;

import com.extensiblejava.dao.*;


public class StaffEmployeeSelectable implements Selectable {

	private Integer mgrId;
	private static String SQL = "select " +
			"emp.id, emp.mgr_id, emp.start_dt, emp.end_dt, emp.type_cd, emp.rate, emp.position_cd, " + 
			"emp.department_cd, p.first, p.mid, p.last, p.dob, p.ssn " + 
			"from " + 
			"employee emp, person p " + 
			"where " + 
			"emp.mgr_id = ? and	emp.name_id =p.id";
			
	public StaffEmployeeSelectable(Integer mgrId) {
		this.mgrId = mgrId;	
	}
	public String getSelectSQL() {
		return StaffEmployeeSelectable.SQL;
	}

	public SortedMap getSortedSelectValues() {
		TreeMap map = new TreeMap();
		map.put(new Integer(1), this.mgrId);
		return map;
	}

}
