package com.extensiblejava.core.employee.test;

import com.extensiblejava.core.employee.Employee;
import com.extensiblejava.core.employee.Name;
import com.extensiblejava.core.employee.builder.Builder;

public class MockBuilder implements Builder {

	public Employee buildEmployee() {
		return new Employee(new Integer(1), new Integer(2), "Dept",
		"Programmer", "Type", new Double(20.0), new Name("John", "Doe"), this);
	}

	public Employee buildManager() {
		return new Employee(new Integer(2), new Integer(3), "Dept",
		"Programmer Mgr", "Type", new Double(25.0), new Name("Jane", "Doe"), null);
	}

	public Employee[] buildStaff() {
		Employee staff[] = new Employee[1];
		staff[0] = new Employee(new Integer(4), new Integer(1), "Dept",
		"Apprentice", "Type", new Double(15.0), new Name("Jill", "Doe"), null);
		return staff;
	}

}
