package com.extensiblejava.dao.test;

import java.util.*;

import com.extensiblejava.dao.*;


public class SingleEmployeeSelectable implements Selectable {
	private Integer empId;
	public static String SQL = "select " + 
				"emp.id, emp.mgr_id, emp.start_dt, emp.end_dt, emp.type_cd, emp.rate, emp.position_cd, " + 
				"emp.department_cd, p.first, p.mid, p.last, p.dob, p.ssn " + 
				"from  " + 
				"employee emp,	person p " + 
				"where " +
				"emp.id = ? and emp.name_id =p.id";
				
	public SingleEmployeeSelectable(Integer empId) {
		this.empId = empId;	
	}
	public String getSelectSQL() {
		return SingleEmployeeSelectable.SQL;
	}

	public SortedMap getSortedSelectValues() {
		TreeMap map = new TreeMap();
		map.put(new Integer(1), this.empId);
		return map;
	}

}
