package com.extensiblejava.dao.test;

import junit.framework.TestCase;
import java.util.*;
import com.extensiblejava.dao.*;
import com.extensiblejava.dao.mediator.*;

public class TestMediator extends TestCase {
	
	public TestMediator(String s){
		super(s);
	}
	public static void main(String[] args) {
		junit.textui.TestRunner.run(TestMediator.class);

	}
	
	public void testInsertName() {
		DAOMediator mediator = new DAOMediator();
		
		Insertable nameInsert = new Insertable() {
			public String getInsertSQL() {
				return "insert into person (first, last, dob, ssn) " +
				"values ('Jason', 'Johnson', '1970-01-01', '999999999')";
			}
			
			public SortedMap getSortedInsertValues() {
				TreeMap map = new TreeMap();
				return map;
			}
		};
		
		try {
			mediator.addInsertable(nameInsert);
			mediator.insert();
		} catch (Exception e) {
			fail(e.toString());	
		}
		
	}
}

