package com.extensiblejava.dao;
import java.sql.*;
import java.util.*;

public final class DataBaseDAO  {
	private Connection getDBConnection() throws Exception {
		/*Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		Connection conn = DriverManager.getConnection("jdbc:odbc:Payroll");
		return conn;*/
		Class.forName("com.mysql.jdbc.Driver");
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/employee?user=root");
		return conn;
	}

	public ResultSet executeSelect(Selectable selectable)
		throws SQLException, Exception {

		PreparedStatement ps = null;

		try {
			Connection conn = (Connection) getDBConnection();
			String sql = selectable.getSelectSQL();
			ps = conn.prepareStatement(sql);
			Iterator columnValues = selectable.getSortedSelectValues().values().iterator();
			int index = 1;
			while (columnValues.hasNext()) {
				Object value = columnValues.next();
				ps.setObject(index, value);
				index++;
			}

			ResultSet rs = ps.executeQuery();
			
			return rs;

		} catch (SQLException e) {
			throw e;
		} catch (Exception e) {
			throw e;	
		}
	}
}