package com.extensiblejava.dao;

public interface DataCursor {

	public void close() throws DAOException;
	public boolean first() throws DAOException;
	public String getColumnName(int colNum) throws DAOException;
	public Object getValue(int colNum) throws DAOException;
	public Object getValue(String colName) throws DAOException;
	public boolean last() throws DAOException;
	public boolean next() throws DAOException;
	public int numColumns() throws DAOException;
	public int numRows() throws DAOException;
	public boolean previous() throws DAOException;
}
