package com.extensiblejava.dao;

import java.util.*;

public abstract class SelectableDecorator implements Selectable {
	private Selectable selectable;
	
	public SelectableDecorator(Selectable selectable) {
		this.selectable = selectable;	
	}
	
	public String getSelectSQL() {
		return this.selectable.getSelectSQL();	
	}
	
	public SortedMap getSortedSelectValues() {
		return this.selectable.getSortedSelectValues();	
	}

}
