/*
 * Created on Nov 5, 2003
 *
 */
package com.extensiblejava.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class Transaction {
	private Connection conn;
	
	public Transaction() throws TransactionException {
		try {
			//Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			Class.forName("com.mysql.jdbc.Driver");
			//Connection conn = DriverManager.getConnection("jdbc:odbc:Payroll");
			Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/employee?user=root");
			conn.setAutoCommit(false);
			this.conn = conn;
		} catch (Exception e) {
			throw new TransactionException(e);
		}
	}
	public Connection getConnection() {
		return this.conn;
	}
	public void commit() throws TransactionException {
		try {
			this.conn.commit();
		} catch (SQLException e) {
			throw new TransactionException("Error during commit", e);	
		}
	}
	
	public void rollback() throws TransactionException {
		try {
			this.conn.rollback();
		} catch (SQLException e) {
			throw new TransactionException("Error during rollback", e);	
		}
		
	}
	
	public void release() throws TransactionException {
		try {
			this.conn.close();
		} catch (SQLException e){
			throw new TransactionException(e);
		}
		
	}
}
